Subject: Re: [PATCH v5 3/5] gnu: UCD: Add version 3.0-update1.

From: Liliana Marie Prikler <[email-masked]>
Date: Sat, 31 Dec 2022 15:07:09 +0100

Am Samstag, dem 31.12.2022 um 11:56 +0100 schrieb Vivien Kraus:
> Hi!
> 
> Le samedi 31 décembre 2022 à 07:49 +0100, Liliana Marie Prikler a
> écrit :
> > Am Freitag, dem 30.12.2022 um 22:20 +0100 schrieb Vivien Kraus:
> > > * gnu/packages/unicode.scm (ucd3.0-update1): New variable.
> > > ---
> > Surely this must work with a newer UCD.  Perhaps not with 14, which
> > is
> > the currently packaged one, but what if we use 7, which is the
> > first
> > zipped one?  Using a newer UCD might also solve your Hangul
> > problem.
> 
> If you look at gen-uni-tables.c in lib/, you will see that the
> instructions insist on using PropList-3.0.1.txt from 3.0 update 1, in
> addition to a recent UCD (there are 2 UCD inputs to the gnulib
> package: the specific 3.0.1 ucd and the recent ucd − they don’t have
> colliding file names). In theory, I would also update UCD, but it has
> a lot of dependent packages so the update should go to the staging
> branch instead.
Looking at the comment, you only need the proplist, however, not
anything else.  I'd also experiment with providing an empty file in its
stead, but it doesn't matter too much as long as the hacks we need to
take are kept acceptably few.

If you want to use UCD 15, go ahead.  There is a ucd-next package that
has possibly fewer dependants, which ironically also points to UCD 14
atm.

As for the deleted files in some test directories, can we abbreviate
them with regular expressions or keep lists?

Cheers